# 6.37.0

November 09, 2023

## **What's new** 💡

* By default, registered users via SAML will be prevented to set password which is configurable by the Admin of the Workspace.
* Now, you’ll see the ‘Generate OAuth’ option in your account settings.
* We've improved the Label Management page to make the interface more intuitive.
* We’ve made some improvements on our character selection to make it more accurate for several languages.
* We’ve made some improvements to the UI components to create a more intuitive interface.

## **Bug fixes** 🐞

* Fixed an issue in span labeling where users can’t delete a line after inserting and deleting a line.
* Fixed an issue where a project was automatically created when clicking 'Learn more about the masking data options' without launching the project.
* Fixed an issue where a user could create a document labeling project with an empty CSV file.
* Fixed an issue where changing the question set from other labelers in row and document labeling displayed an unclear error message.
* Fixed an issue where expired free trial users were still able to create a project via the file menu.
* Fixed an issue where Label All feature in the Search extension is not working properly.
* Fixed an issue where there were inconsistent project tags when creating a project.
* Fixed an issue where uploaded filenames were overflowing on Project Creation Wizard.
* Fixed an issue where user can't select or replace hierarchical dropdown answer by mouse after resizing text area box.
* Fixed an issue where the input fields in extensions are diverse

**API changes** 💡

* We've added new queries <mark style="color:red;">getProjectDocumentQuestionSet</mark> and <mark style="color:red;">getProjectRowQuestionSet</mark>
  * These queries return the same questions as <mark style="color:red;">getDocumentQuestions</mark> and <mark style="color:red;">getRowQuestions</mark>
  * But with an extra return value signature, which is a unique string representing the questions and their configurations.
* An optional arg <mark style="color:red;">questionSetSignature</mark> was added to the following mutations. This signature is what you get from <mark style="color:red;">getProjectDocumentQuestionSet</mark> or <mark style="color:red;">getProjectRowQuestionSet</mark>.

  **List of Mutations:**

  * <mark style="color:red;">`updateDocumentAnswers`</mark>
  * <mark style="color:red;">`deleteDocumentAnswers`</mark>
  * <mark style="color:red;">`updateDocumentQuestions`</mark>
  * <mark style="color:red;">`updateDocumentQuestion`</mark>
  * <mark style="color:red;">`modifyDocumentQuestions`</mark>
  * <mark style="color:red;">`updateRowAnswers`</mark>
  * <mark style="color:red;">`updateMultiRowAnswers`</mark>
  * <mark style="color:red;">`insertMultiRowAnswers`</mark>
  * <mark style="color:red;">`deleteRowAnswers`</mark>
  * <mark style="color:red;">`updateRowQuestions`</mark>
  * <mark style="color:red;">`updateRowQuestion`</mark>
  * <mark style="color:red;">`modifyRowQuestions`</mark>

  Unless you often send requests to these mutations directly, you may disregard these changes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datasaur.ai/compatibility-and-updates/release-notes/version-6/6.37.0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
